Resource

Alert Episode Feed

Log of the entire alert episode activity. This is a log of all the episode state changes, alerts added/removed, notes, etc.

The Alert Episode Feed Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    alertEpisode
    Type
    Alert Episode
    Description

    Relation to Alert Episode in which this resource belongs

  • Name
    alertEpisodeId
    Type
    Object IDRequired
    Description

    Relation to Alert Episode ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    feedInfoInMarkdown
    Type
    MarkdownRequired
    Description

    Log of the entire alert episode activity in Markdown

  • Name
    moreInformationInMarkdown
    Type
    Markdown
    Description

    More information in Markdown

  • Name
    alertEpisodeFeedEventType
    Type
    TextRequired
    Description

    Alert Episode Feed Event Type

  • Name
    displayColor
    Type
    ColorRequired
    Description

    Display color for the alert episode log

  • Name
    user
    Type
    User
    Description

    Relation to User who this feed belongs to (if this feed belongs to a User)

  • Name
    userId
    Type
    Object ID
    Description

    User who this feed belongs to (if this feed belongs to a User)

  • Name
    postedAt
    Type
    Date
    Description

    Date and time when the feed was posted

GETorPOST/api/alert-episode-feed/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert Episode Feed. By default, a maximum of ten Alert Episode Feed are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-episode-feed/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "alertEpisodeFeedEventType": true,
    "alertEpisodeId": true,
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "projectId": true
  },
  "query": {
    "alertEpisodeFeedEventType": "Example alert episode feed event"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376b2910-28fe-11f1-b591-3fdcef396aba",
      "alertEpisodeFeedEventType": "Example alert episode feed event",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "Example log (in markdown) content",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376b2911-28fe-11f1-b591-3fdcef396aba",
      "alertEpisodeFeedEventType": "Example alert episode feed event",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "Example log (in markdown) content",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376b2912-28fe-11f1-b591-3fdcef396aba",
      "alertEpisodeFeedEventType": "Example alert episode feed event",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "Example log (in markdown) content",
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/alert-episode-feed/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert Episode Feed by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-episode-feed/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "alertEpisodeFeedEventType": true,
    "alertEpisodeId": true,
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "projectId": true
  }
}

Response

{
  "_id": "376b2910-28fe-11f1-b591-3fdcef396aba",
  "alertEpisodeFeedEventType": "Example alert episode feed event",
  "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "displayColor": "#3498db",
  "feedInfoInMarkdown": "Example log (in markdown) content",
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/alert-episode-feed/count

Count

This endpoint allows you to retrieve the count of all your Alert Episode Feed.

Optional Request Body

Count Request

POST
/api/alert-episode-feed/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "alertEpisodeFeedEventType": "Example alert episode feed event"
  }
}

Response

{
  "count": 107
}
POST/api/alert-episode-feed

Create Alert Episode Feed

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-episode-feed
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "alertEpisodeFeedEventType": "Example alert episode feed event",
    "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
    "displayColor": "#3498db",
    "feedInfoInMarkdown": "Example log (in markdown) content",
    "projectId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "376b2910-28fe-11f1-b591-3fdcef396aba",
  "alertEpisodeFeedEventType": "Example alert episode feed event",
  "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "displayColor": "#3498db",
  "feedInfoInMarkdown": "Example log (in markdown) content",
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert Episode Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert Episode Feed
  • Read All Project Resources

Create Permissions

Required to create Alert Episode Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Create Alert Episode Feed

Update Permissions

Required to update Alert Episode Feed

This resource cannot be updated via the API

Delete Permissions

Required to delete Alert Episode Feed

This resource cannot be deleted via the API